package es.uv.saic.domain;

import java.io.Serializable;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.IdClass;
import jakarta.persistence.NamedQuery;
import jakarta.persistence.Table;

@Entity
@Table(name="informes_processos")
@IdClass(InformeProcesPK.class)
@NamedQuery(name="InformeProcessos.findAll", query="SELECT i FROM InformeProcessos i")
public class InformeProcessos implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="id_informe")
	private Integer idInforme;
	
	@Id
	@Column(name="nom_proces")
	private String nomProces;
	
	public InformeProcessos() {}

	public Integer getIdInforme() {
		return idInforme;
	}

	public void setIdInforme(Integer idInforme) {
		this.idInforme = idInforme;
	}

	public String getNomProces() {
		return nomProces;
	}

	public void setNomProces(String nomProces) {
		this.nomProces = nomProces;
	}
	
	
	
}
